Subject: Re: [PATCH net v4 1/1] mlxbf_gige: Fix kernel panic at shutdown

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jul 2023 09:27:22 -0700

On Fri, 21 Jul 2023 10:19:56 -0400 Asmaa Mnebhi wrote:
> There is a race condition happening during shutdown due to pending
> napi transactions. Since mlxbf_gige_poll is still running, it tries
> to access a NULL pointer and as a result causes a kernel panic.
> To fix this during shutdown, invoke mlxbf_gige_remove to disable and
> dequeue napi.
> 
> Fixes: f92e1869d74e ("Add Mellanox BlueField Gigabit Ethernet driver")
> Signed-off-by: Asmaa Mnebhi <[email-masked]>

Asmaa, you need to reply to Vladimir, I'm dropping this patch :(
-- 
pw-bot: defer